from __future__ import absolute_import
#
# Subpackage of Global Cache IR devices.
#
# Copyright 2011-2016 Perry The Cynic. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#	http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


#
# Bring some basics into this package
#
from asyn import Error		# common error base class
from .gcir import Event
from .gcnet import GCNet
from .gcdev import IREmitter, Sensor, Relay, Serial
from .core import DEVICE_GC100, DEVICE_ITACH, DEVICE_FLEX
from .core import GCNET_PORT
